com.sun.java.xml.ns.javaee

## Class WebResourceCollectionType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.WebResourceCollectionType

-     public class WebResourceCollectionType
      extends Object

  The web-resource-collectionType is used to identify the resources and HTTP methods on those resources to which a security constraint applies. If no HTTP methods are specified, then the security constraint applies to all HTTP methods. If HTTP methods are specified by http-method-omission elements, the security constraint applies to all methods except those identified in the collection. http-method-omission and http-method elements are never mixed in the same collection. Used in: security-constraint

  Java-Klasse für web-resource-collectionType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="web-resource-collectionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="web-resource-name" type="{http://java.sun.com/xml/ns/javaee}string"/>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="url-pattern" type="{http://java.sun.com/xml/ns/javaee}url-patternType" maxOccurs="unbounded"/>
               <choice minOccurs="0">
                 <element name="http-method" type="{http://java.sun.com/xml/ns/javaee}http-methodType" maxOccurs="unbounded"/>
                 <element name="http-method-omission" type="{http://java.sun.com/xml/ns/javaee}http-methodType" maxOccurs="unbounded"/>
               </choice>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected List<String>` | `httpMethod`
    `protected List<String>` | `httpMethodOmission`
    `protected String` | `id`
    `protected List<UrlPatternType>` | `urlPattern`
    `protected String` | `webResourceName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebResourceCollectionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `List<String>` | `getHttpMethod()` Gets the value of the httpMethod property.
    `List<String>` | `getHttpMethodOmission()` Gets the value of the httpMethodOmission property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<UrlPatternType>` | `getUrlPattern()` Gets the value of the urlPattern property.
    `String` | `getWebResourceName()` Ruft den Wert der webResourceName-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setWebResourceName(String value)` Legt den Wert der webResourceName-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### webResourceName

          protected String webResourceName

    - #### description

          protected List<DescriptionType> description

    - #### urlPattern

          protected List<UrlPatternType> urlPattern

    - #### httpMethod

          protected List<String> httpMethod

    - #### httpMethodOmission

          protected List<String> httpMethodOmission

    - #### id

          protected String id

  - ### Constructor Detail

    - #### WebResourceCollectionType

          public WebResourceCollectionType()

  - ### Method Detail

    - #### getWebResourceName

          public String getWebResourceName()

      Ruft den Wert der webResourceName-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setWebResourceName

          public void setWebResourceName(String value)

      Legt den Wert der webResourceName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getUrlPattern

          public List<UrlPatternType> getUrlPattern()

      Gets the value of the urlPattern property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the urlPattern property.

      For example, to add a new item, do as follows:

              getUrlPattern().add(newItem);

      Objects of the following type(s) are allowed in the list `UrlPatternType`

    - #### getHttpMethod

          public List<String> getHttpMethod()

      Gets the value of the httpMethod property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the httpMethod property.

      For example, to add a new item, do as follows:

              getHttpMethod().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getHttpMethodOmission

          public List<String> getHttpMethodOmission()

      Gets the value of the httpMethodOmission property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the httpMethodOmission property.

      For example, to add a new item, do as follows:

              getHttpMethodOmission().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.